/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.settings.portlet.action;

import java.util.Optional;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.PortletException;

import org.osgi.annotation.versioning.ProviderType;

/**
 * @author Michael C. Han
 */
@ProviderType
public interface PortalSettingsFormContributor {

	public Optional<String> getDeleteMVCActionCommandNameOptional();

	public String getParameterNamespace();

	public Optional<String> getSaveMVCActionCommandNameOptional();

	public String getSettingsId();

	public void validateForm(
			ActionRequest actionRequest, ActionResponse actionResponse)
		throws PortletException;

}