/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.settings.portlet.action;

import com.liferay.portal.kernel.util.ParamUtil;

import javax.portlet.ActionRequest;

/**
 * @author Michael C. Han
 */
public class PortalSettingsParameterUtil {

	public static boolean getBoolean(
		ActionRequest actionRequest,
		PortalSettingsFormContributor portalSettingsFormContributor,
		String name) {

		return ParamUtil.getBoolean(
			actionRequest,
			portalSettingsFormContributor.getParameterNamespace() + name);
	}

	public static String getString(
		ActionRequest actionRequest,
		PortalSettingsFormContributor portalSettingsFormContributor,
		String name) {

		return ParamUtil.getString(
			actionRequest,
			portalSettingsFormContributor.getParameterNamespace() + name);
	}

}